.\"	$NetBSD: intro.4,v 1.8 2005/06/20 13:25:25 peter Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Tsubai Masanari and Thomas Klausner.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 4, 2001
.Dt INTRO 4 macppc
.Os
.Sh NAME
.Nm intro
.Nd introduction to macppc special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support
available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of
each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation;
see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices
which may be configured into the system
and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh MACPPC DEVICE SUPPORT
This section describes the hardware supported on the
.Tn Power Macintosh .
Software support for these devices comes in two forms.  A hardware
device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.  When the resultant system is booted, the
autoconfiguration facilities in the system probe for the device
and, if found, enable the software support for it.
If a device does not respond at autoconfiguration
time it is not accessible at any time afterwards.
To enable a device which did not autoconfigure,
the system will have to be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4 ,
.Xr awacs 4 ,
.Xr bm 4 ,
.Xr gem 4 ,
.Xr mc 4 ,
.Xr tlp 4
.Sh HISTORY
The
.Tn macppc
.Nm intro
man page first appeared in
.Nx 1.5.1 ,
based on the
.Nx Ns /mac68k
.Xr intro 4 .
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of
the system.
Devices are indicated by their functional interface.
Not all supported devices are listed.
.Pp
PCMCIA devices are supported through the
.Xr pcmcia 4
bus and associated devices.
.Pp
Cardbus devices are supported through the
.Xr cardbus 4
bus and associated devices.
.Pp
USB devices are supported through the
.Xr usb 4
bus and associated devices.
.Pp
Additionally, the following specific devices are supported:
.Bl -tag -width "xxxxxxxx" -compact -offset indent
.It Em adb
Apple Desktop Bus event interface.
.It Em awacs
Audio Waveform Amplifier and Converter \(em Apple Sound Chip
(supported systems include 603 and 604 based
machines, and
.Tn Open Firmware 3
based machines).
.It Em bm
BMac Ethernet.
.It Em de
DECchip 21x4x based Ethernet cards (see also
.Xr tlp 4 ) .
.It Em esp
.Tn NCR
53C9x built-in SCSI interface.
.It Em gm
GMac Ethernet.
.It Em kmem
kernel virtual memory.
.It Em mc
MACE Ethernet.
.It Em mem
physical memory.
.It Em mesh
MESH built-in SCSI interface (most Old World machines up to the 1999
series of G3 PowerBooks).
.It Em nvram
NVRAM access.
.It Em ofb
PCI based frame buffer with
.Tn Open Firmware
support.
.It Em openfirm
.Tn Open Firmware
access.
.It Em tlp
DECchip 21x4x based Ethernet cards.
.It Em wdc
Standard on-board IDE controller.
.It Em zsc
.Tn Zilog
Z8530 built-in serial interface.
.El
